function Digg(num_id,ModeID,ActSys)
{
  url = ActSys+"plus/digg/digg.asp?id="+num_id+"&post=digg&ModeID="+ModeID+"&m="+Math.random();
  new Ajax.Updater(num_id,url, {method: 'get', onComplete:return_Digg});
}


function return_Digg(ajax)
{
  DigContent = ajax.responseText
  var DigArr=DigContent.split('|');
	switch (DigArr[0])
	{
		 case "err":
			 alert('系统错误,未定义操作!');
			 break;
		 case "Close":
			 alert('系统已经关闭DIGG!');
			 break;
		 case "ACT":
			 alert('您已经顶过了!');
			 $("diggact").innerHTML ="<div class='diggLink'>失败</div>";
		 break;
			 case "Login":
			 alert('您还没有登录，请登陆后操作!');
		 break;
				
			  default:
			  $("ACT_ding"+DigArr[1]).innerHTML = DigArr[0];
			  $("diggact"+DigArr[1]).innerHTML = "<div class='diggLink'>成功</div>";
	}

}




function down(num_id,ModeID,ActSys)
{
  url = ActSys+"plus/digg/digg.asp?id="+num_id+"&post=down&ModeID="+ModeID+"&m="+Math.random();
  new Ajax.Updater(num_id,url, {method: 'get', onComplete:return_down});
}
function return_down(ajax)
{
  DigContent = ajax.responseText
  var DigArr=DigContent.split('|');
	switch (DigArr[0])
	{
		 case "err":
			 alert('系统错误,未定义操作!');
		 break;
			 case "Close":
			 alert('系统已经关闭DIGG!');
		 break;
			 case "ACT":
			 alert('您已经顶过了!');
			 $("downact"+DigArr[1]).innerHTML ="<div class='diggLink'>失败</div>";
		 break;
			 case "Login":
			 alert('您还没有登录，请登陆后操作!');
		 break;
		 default:
			$("ACT_down"+DigArr[1]).innerHTML =  DigArr[0];
			$("downact"+DigArr[1]).innerHTML = "<div class='diggLink'>成功</div>";
	}

}




